<?php
/**
 * @package Demo Import
 * @since 1.0.0
 */

class ThemeWhizzie {

	protected $version = '1.1.0';

	/** @var string Current theme name, used as namespace in actions. */
	protected $theme_name = '';
	protected $theme_title = '';

	/** @var string Demo Import page slug and title. */
	protected $page_slug = '';
	protected $page_title = '';

	/** @var array Demo Import steps set by user. */
	protected $config_steps = array();
	public $parent_slug;
	/**
	 * Constructor
	 *
	 * @param $business_revolution_config	Our config parameters
	*/
	public function __construct( $business_revolution_config ) {
		$this->set_vars( $business_revolution_config );
		$this->init();
	}

	/**
	 * Set some settings
	 * @since 1.0.0
	 * @param $business_revolution_config	Our config parameters
	*/
	public function set_vars( $business_revolution_config ) {
		if( isset( $business_revolution_config['page_slug'] ) ) {
			$this->page_slug = esc_attr( $business_revolution_config['page_slug'] );
		}
		if( isset( $business_revolution_config['page_title'] ) ) {
			$this->page_title = esc_attr( $business_revolution_config['page_title'] );
		}
		if( isset( $business_revolution_config['steps'] ) ) {
			$this->config_steps = $business_revolution_config['steps'];
		}

		$current_theme = wp_get_theme();
		$this->theme_title = $current_theme->get( 'Name' );
		$this->theme_name = strtolower( preg_replace( '#[^a-zA-Z]#', '', $current_theme->get( 'Name' ) ) );
		$this->page_slug = apply_filters( $this->theme_name . '_theme_setup_wizard_page_slug', $this->theme_name . '-demoimport' );
		$this->parent_slug = apply_filters( $this->theme_name . '_theme_setup_wizard_parent_slug', '' );
	}

	/**
	 * Hooks and filters
	 * @since 1.0.0
	*/
	public function init() {
		add_action( 'admin_enqueue_scripts', array( $this, 'enqueue_scripts' ) );
		add_action( 'admin_menu', array( $this, 'menu_page' ) );
		add_action( 'wp_ajax_setup_widgets', array( $this, 'setup_widgets' ) );
	}

	public function enqueue_scripts() {
		wp_enqueue_style( 'demo-import-style', get_template_directory_uri() . '/demo-import/assets/css/demo-import-style.css');
		wp_register_script( 'demo-import-script', get_template_directory_uri() . '/demo-import/assets/js/demo-import-script.js', array( 'jquery' ), time() );
		wp_localize_script(
			'demo-import-script',
			'business_revolution_whizzie_params',
			array(
				'ajaxurl' 		=> admin_url( 'admin-ajax.php' ),
				'wpnonce' 		=> wp_create_nonce( 'whizzie_nonce' ),
				'verify_text'	=> esc_html( 'verifying', 'business-revolution' )
			)
		);
		wp_enqueue_script( 'demo-import-script' );
	}

	/**  Make a modal screen for the wizard **/
	public function menu_page() {
		add_menu_page( esc_html( $this->page_title ), esc_html( $this->page_title ), 'manage_options', $this->page_slug, array( $this, 'business_revolution_guide' ) ,'',40);
	}

	/** Make an interface for the wizard **/
	public function wizard_page() {
		/* If we arrive here, we have the filesystem */ ?>
		<div class="wrap">
			<?php echo '<div class="whizzie-wrap">';
				// The wizard is a list with only one item visible at a time
				$steps = $this->get_steps();
				echo '<ul class="whizzie-nav wizard-icon-nav">';?>
				<?php
					$stepI=1;
					foreach( $steps as $step ) {
						$stepAct=($stepI ==1)? 1 : 0;
						if( isset( $step['icon_text'] ) && $step['icon_text'] ) {
							echo '<li class="commom-cls nav-step-' . esc_attr( $step['id'] ) . '" wizard-steps="step-'.esc_attr( $step['id'] ).'" data-enable="'.$stepAct.'">
							<p>'.esc_attr( $step['icon_text'] ).'</p>
							</li>';
						}
					$stepI++;}
			 	echo '</ul>';
				echo '<ul class="whizzie-menu wizard-menu-page">';
				foreach( $steps as $step ) {
					$class = 'step step-' . esc_attr( $step['id'] );
					echo '<li data-step="' . esc_attr( $step['id'] ) . '" class="' . esc_attr( $class ) . '" >';
						$content = call_user_func( array( $this, $step['view'] ) );
						printf('<div class="wizard-button-wrapper">');
							if( isset( $step['button_text_one'] )) {
								printf(
									'<div class="button-wrap button-wrap-one">
										<a href="#" class="button button-primary do-it" data-callback="install_widgets" data-step="widgets"><p class="demo-type-text">%s</p></a>
									</div>',
									esc_html( $step['button_text_one'] )
								);
							}
						printf('</div>');
					echo '</li>';
				}
				echo '</ul>';
				?>
				<div class="step-loading"><span class="spinner">
					<img src="<?php echo esc_url(get_template_directory_uri().'/demo-import/assets/images/Spinner-Animaion.gif'); ?>">
				</span></div>
			<?php echo '</div>';?>
		</div>
	<?php }

	/**
	 * Set options for the steps
	 * @return Array
	*/
	public function get_steps() {
		$dev_steps = $this->config_steps;
		$steps = array(
			'widgets' => array(
				'id'			=> 'widgets',
				'title'			=> __( 'Customizer', 'business-revolution' ),
				'icon'			=> 'welcome-widgets-menus',
				'view'			=> 'get_step_widgets',
				'callback'		=> 'install_widgets',
				'button_text_one'	=> __( 'Import Demo', 'business-revolution' ),
				'can_skip'		=> true,
				'icon_text'      => 'Import Demo'
			),
			'done' => array(
				'id'			=> 'done',
				'title'			=> __( 'All Done', 'business-revolution' ),
				'icon'			=> 'yes',
				'view'			=> 'get_step_done',
				'callback'		=> '',
				'icon_text'      => 'Done'
			)
		);
		// Iterate through each step and replace with dev config values
		if( $dev_steps ) {
			// Configurable elements - these are the only ones the dev can update from config.php
			$can_config = array( 'title', 'icon', 'button_text', 'can_skip' );
			foreach( $dev_steps as $dev_step ) {
				// We can only proceed if an ID exists and matches one of our IDs
				if( isset( $dev_step['id'] ) ) {
					$id = $dev_step['id'];
					if( isset( $steps[$id] ) ) {
						foreach( $can_config as $element ) {
							if( isset( $dev_step[$element] ) ) {
								$steps[$id][$element] = $dev_step[$element];
							}
						}
					}
				}
			}
		}
		return $steps;
	}

	/**    Print the content for the intro step     **/
		public function get_step_importer() { ?>
		<div class="summary">
			<p>
				<?php esc_html_e('Thank you for choosing this Business Revolution Theme. Using this quick setup wizard, you will be able to configure your new website and get it running in just a few minutes. Just follow these simple steps mentioned in the wizard and get started with your website.','business-revolution'); ?>
			</p>
		</div>
	<?php }

	/**   Print the content for the widgets step   **/
	public function get_step_widgets() { ?>
		<div class="summary">
			<p>
				<?php esc_html_e('This theme allows you to import demo content and add widgets. Install them using the button below. You can also update or deactivate them using the Customizer.','business-revolution'); ?>
			</p>
		</div>
	<?php }

	/** Print the content for the final step **/
	public function get_step_done() { ?>

		<div class="setup-finish">
			<p>
				<?php echo esc_html('Your demo content has been imported successfully. Click the finish button for more information.'); ?>
			</p>
			<div class="finish-buttons">
				<a href="<?php echo esc_url( admin_url( 'themes.php?page=business-revolution-getstart-page' ) ); ?>" class="wz-btn-customizer" target="_blank"><?php esc_html_e('About Business Revolution','business-revolution') ?></a>
				<a href="<?php echo esc_url(admin_url('/customize.php')); ?>" class="wz-btn-customizer" target="_blank"><?php esc_html_e('Customize Your Demo','business-revolution') ?></a>
				<a href="" class="wz-btn-builder" target="_blank"><?php esc_html_e('Customize Your Demo','business-revolution'); ?></a>
				<a href="<?php echo esc_url(home_url()); ?>" class="wz-btn-visit-site" target="_blank"><?php esc_html_e('Visit Your Site','business-revolution'); ?></a>
			</div>
			<div class="finish-buttons">
				<a href="<?php echo esc_url(admin_url()); ?>" class="button button-primary"><?php esc_html_e('Finish','business-revolution'); ?></a>
			</div>
		</div>

	<?php }


	public function business_revolution_customizer_nav_menu() {
		// ------- Create Primary Menu --------
		$business_revolution_themename = 'Business Revolution'; // Ensure the theme name is set
		$business_revolution_menuname = $business_revolution_themename . ' Primary Menu';
		$business_revolution_menulocation = 'menu-1';
		$business_revolution_menu_exists = wp_get_nav_menu_object($business_revolution_menuname);

		if (!$business_revolution_menu_exists) {
			$business_revolution_menu_id = wp_create_nav_menu($business_revolution_menuname);

			// Home
			wp_update_nav_menu_item($business_revolution_menu_id, 0, array(
				'menu-item-title' => __('Home', 'business-revolution'),
				'menu-item-classes' => 'home',
				'menu-item-url' => home_url('/'),
				'menu-item-status' => 'publish'
			));

			// About
			$business_revolution_page_about = get_page_by_path('about');
			if($business_revolution_page_about){
				wp_update_nav_menu_item($business_revolution_menu_id, 0, array(
					'menu-item-title' => __('About', 'business-revolution'),
					'menu-item-classes' => 'about',
					'menu-item-url' => get_permalink($business_revolution_page_about),
					'menu-item-status' => 'publish'
				));
			}

			// Services
			$business_revolution_page_services = get_page_by_path('services');
			if($business_revolution_page_services){
				wp_update_nav_menu_item($business_revolution_menu_id, 0, array(
					'menu-item-title' => __('Services', 'business-revolution'),
					'menu-item-classes' => 'services',
					'menu-item-url' => get_permalink($business_revolution_page_services),
					'menu-item-status' => 'publish'
				));
			}

			// Blog
			$business_revolution_page_blog = get_page_by_path('blog');
			if($business_revolution_page_blog){
				wp_update_nav_menu_item($business_revolution_menu_id, 0, array(
					'menu-item-title' => __('Blog', 'business-revolution'),
					'menu-item-classes' => 'blog',
					'menu-item-url' => get_permalink($business_revolution_page_blog),
					'menu-item-status' => 'publish'
				));
			}

			// Contact Us
			$business_revolution_page_contact = get_page_by_path('contact');
			if($business_revolution_page_contact){
				wp_update_nav_menu_item($business_revolution_menu_id, 0, array(
					'menu-item-title' => __('Contact Us', 'business-revolution'),
					'menu-item-classes' => 'contact',
					'menu-item-url' => get_permalink($business_revolution_page_contact),
					'menu-item-status' => 'publish'
				));
			}

			// Assign menu to location if not set
			if (!has_nav_menu($business_revolution_menulocation)) {
				$business_revolution_locations = get_theme_mod('nav_menu_locations');
				$business_revolution_locations[$business_revolution_menulocation] = $business_revolution_menu_id; // Use $business_revolution_menu_id here
				set_theme_mod('nav_menu_locations', $business_revolution_locations);
			}
		}
	}

	public function business_revolution_social_menu() {

		// ------- Create Social Menu --------
		$business_revolution_menuname = $business_revolution_themename . 'Social Menu';
		$business_revolution_menulocation = 'social-menu';
		$business_revolution_menu_exists = wp_get_nav_menu_object( $business_revolution_menuname );

		if( !$business_revolution_menu_exists){
			$business_revolution_menu_id = wp_create_nav_menu($business_revolution_menuname);

			wp_update_nav_menu_item( $business_revolution_menu_id, 0, array(
				'menu-item-title'  => __( 'Facebook', 'business-revolution' ),
				'menu-item-url'    => 'https://www.facebook.com',
				'menu-item-status' => 'publish',
			) );

			wp_update_nav_menu_item( $business_revolution_menu_id, 0, array(
				'menu-item-title'  => __( 'Pinterest', 'business-revolution' ),
				'menu-item-url'    => 'https://www.pinterest.com',
				'menu-item-status' => 'publish',
			) );
	
			wp_update_nav_menu_item( $business_revolution_menu_id, 0, array(
				'menu-item-title'  => __( 'Twitter', 'business-revolution' ),
				'menu-item-url'    => 'https://www.twitter.com',
				'menu-item-status' => 'publish',
			) );
	
			wp_update_nav_menu_item( $business_revolution_menu_id, 0, array(
				'menu-item-title'  => __( 'Youtube', 'business-revolution' ),
				'menu-item-url'    => 'https://www.youtube.com',
				'menu-item-status' => 'publish',
			) );

			wp_update_nav_menu_item( $business_revolution_menu_id, 0, array(
				'menu-item-title'  => __( 'Instagram', 'business-revolution' ),
				'menu-item-url'    => 'https://www.instagram.com',
				'menu-item-status' => 'publish',
			) );

			if( !has_nav_menu( $business_revolution_menulocation ) ){
					$locations = get_theme_mod('nav_menu_locations');
					$locations[$business_revolution_menulocation] = $business_revolution_menu_id;
					set_theme_mod( 'nav_menu_locations', $locations );
			}
		}
	}

	/**
	* Imports the Demo Content
	* @since 1.1.0
	*/
	public function setup_widgets() {

		//................................................. MENU PAGES .................................................//
		
		$business_revolution_home_id='';
		$business_revolution_home_content = '';

		$business_revolution_home_title = 'Home';
		$business_revolution_home = array(
				'post_type' => 'page',
				'post_title' => $business_revolution_home_title,
				'post_content'  => $business_revolution_home_content,
				'post_status' => 'publish',
				'post_author' => 1,
				'post_slug' => 'home'
		);
		$business_revolution_home_id = wp_insert_post($business_revolution_home);

		//Set the home page template
		add_post_meta( $business_revolution_home_id, '_wp_page_template', 'revolution-home.php' );

		//Set the static front page
		$business_revolution_home = get_page_by_title( 'Home' );
		update_option( 'page_on_front', $business_revolution_home->ID );
		update_option( 'show_on_front', 'page' );


		// Create a posts page and assign the template
		$business_revolution_blog_title = 'Blog';
		$business_revolution_blog_check = get_page_by_path('blog');
		if (!$business_revolution_blog_check) {
			$business_revolution_blog = array(
				'post_type'    => 'page',
				'post_title'   => $business_revolution_blog_title,
				'post_status'  => 'publish',
				'post_author'  => 1,
				'post_name'    => 'blog' // Unique slug for the blog page
			);
			$business_revolution_blog_id = wp_insert_post($business_revolution_blog);

			// Set the posts page
			if (!is_wp_error($business_revolution_blog_id)) {
				update_option('page_for_posts', $business_revolution_blog_id);
			}
		}

		// Create a Contact Us page and assign the template
		$business_revolution_contact_title = 'Contact Us';
		$business_revolution_contact_check = get_page_by_path('contact');
		if (!$business_revolution_contact_check) {
			$business_revolution_contact = array(
				'post_type'    => 'page',
				'post_title'   => $business_revolution_contact_title,
				'post_content'   => '"More About The Free Business WordPress Theme"
										The Free Business WordPress Theme offers a myriad of uses and benefits, making it an ideal choice for businesses looking to establish a professional online presence without breaking the bank. As a free theme, it provides entrepreneurs, startups, and small businesses with a cost-effective solution for creating stunning websites that effectively showcase their products, services, or portfolio. One of the primary benefits of the Free Business WordPress Theme is its accessibility. Being freely available means that businesses of all sizes and budgets can leverage its powerful features and sleek design to create visually appealing and functional websites. Whether you’re a budding entrepreneur with limited resources or an established business looking to enhance your online presence, this theme provides a platform to showcase your offerings to the world.

										Moreover, the Free Business WordPress Theme is incredibly versatile, catering to a wide range of industries and niches. Whether you’re in e-commerce, consulting, creative services, or any other sector, the theme’s customizable options and flexible design make it easy to adapt to your specific needs and branding requirements. With features like customizable colors, fonts, layouts, and page templates, you can tailor your website to reflect your unique brand identity and capture the attention of your target audience. In terms of features, the Free Business WordPress Theme offers everything you need to create a professional and functional website. Its responsive design ensures that your site looks great and functions flawlessly on all devices, from desktops to smartphones. This not only enhances user experience but also improves your site’s SEO performance, as search engines favor mobile-friendly websites.

										Additionally, the Free Business WordPress Theme comes with built-in SEO features to help improve your website’s visibility and ranking on search engine results pages. With clean, optimized code and SEO-friendly design elements, you can maximize your site’s potential for organic traffic and attract more visitors to your business. This theme also includes integration with popular page builders like Elementor and Gutenberg, giving you the flexibility to design and customize your website with ease. Furthermore, the theme offers seamless integration with social media platforms, allowing you to connect with your audience and expand your reach. With social media buttons and sharing functionality built right into your website, you can encourage visitors to share your content and engage with your brand on platforms like Facebook, Twitter, and Instagram.',
					'post_status'  => 'publish',
				'post_author'  => 1,
				'post_name'    => 'contact' // Unique slug for the Contact Us page
			);
			wp_insert_post($business_revolution_contact);
		}

		// Create a About page and assign the template
		$business_revolution_about_title = 'About';
		$business_revolution_about_check = get_page_by_path('about');
		if (!$business_revolution_about_check) {
			$business_revolution_about = array(
				'post_type'    => 'page',
				'post_title'   => $business_revolution_about_title,
				'post_content'   => '"More About The Free Business WordPress Theme"
										The Free Business WordPress Theme offers a myriad of uses and benefits, making it an ideal choice for businesses looking to establish a professional online presence without breaking the bank. As a free theme, it provides entrepreneurs, startups, and small businesses with a cost-effective solution for creating stunning websites that effectively showcase their products, services, or portfolio. One of the primary benefits of the Free Business WordPress Theme is its accessibility. Being freely available means that businesses of all sizes and budgets can leverage its powerful features and sleek design to create visually appealing and functional websites. Whether you’re a budding entrepreneur with limited resources or an established business looking to enhance your online presence, this theme provides a platform to showcase your offerings to the world.

										Moreover, the Free Business WordPress Theme is incredibly versatile, catering to a wide range of industries and niches. Whether you’re in e-commerce, consulting, creative services, or any other sector, the theme’s customizable options and flexible design make it easy to adapt to your specific needs and branding requirements. With features like customizable colors, fonts, layouts, and page templates, you can tailor your website to reflect your unique brand identity and capture the attention of your target audience. In terms of features, the Free Business WordPress Theme offers everything you need to create a professional and functional website. Its responsive design ensures that your site looks great and functions flawlessly on all devices, from desktops to smartphones. This not only enhances user experience but also improves your site’s SEO performance, as search engines favor mobile-friendly websites.

										Additionally, the Free Business WordPress Theme comes with built-in SEO features to help improve your website’s visibility and ranking on search engine results pages. With clean, optimized code and SEO-friendly design elements, you can maximize your site’s potential for organic traffic and attract more visitors to your business. This theme also includes integration with popular page builders like Elementor and Gutenberg, giving you the flexibility to design and customize your website with ease. Furthermore, the theme offers seamless integration with social media platforms, allowing you to connect with your audience and expand your reach. With social media buttons and sharing functionality built right into your website, you can encourage visitors to share your content and engage with your brand on platforms like Facebook, Twitter, and Instagram.',
					'post_status'  => 'publish',
				'post_author'  => 1,
				'post_name'    => 'about' // Unique slug for the About page
			);
			wp_insert_post($business_revolution_about);
		}

		// Create a Services page and assign the template
		$business_revolution_services_title = 'Services';
		$business_revolution_services_check = get_page_by_path('services');
		if (!$business_revolution_services_check) {
			$business_revolution_services = array(
				'post_type'    => 'page',
				'post_title'   => $business_revolution_services_title,
				'post_content'   => '"More About The Free Business WordPress Theme"
										The Free Business WordPress Theme offers a myriad of uses and benefits, making it an ideal choice for businesses looking to establish a professional online presence without breaking the bank. As a free theme, it provides entrepreneurs, startups, and small businesses with a cost-effective solution for creating stunning websites that effectively showcase their products, services, or portfolio. One of the primary benefits of the Free Business WordPress Theme is its accessibility. Being freely available means that businesses of all sizes and budgets can leverage its powerful features and sleek design to create visually appealing and functional websites. Whether you’re a budding entrepreneur with limited resources or an established business looking to enhance your online presence, this theme provides a platform to showcase your offerings to the world.

										Moreover, the Free Business WordPress Theme is incredibly versatile, catering to a wide range of industries and niches. Whether you’re in e-commerce, consulting, creative services, or any other sector, the theme’s customizable options and flexible design make it easy to adapt to your specific needs and branding requirements. With features like customizable colors, fonts, layouts, and page templates, you can tailor your website to reflect your unique brand identity and capture the attention of your target audience. In terms of features, the Free Business WordPress Theme offers everything you need to create a professional and functional website. Its responsive design ensures that your site looks great and functions flawlessly on all devices, from desktops to smartphones. This not only enhances user experience but also improves your site’s SEO performance, as search engines favor mobile-friendly websites.

										Additionally, the Free Business WordPress Theme comes with built-in SEO features to help improve your website’s visibility and ranking on search engine results pages. With clean, optimized code and SEO-friendly design elements, you can maximize your site’s potential for organic traffic and attract more visitors to your business. This theme also includes integration with popular page builders like Elementor and Gutenberg, giving you the flexibility to design and customize your website with ease. Furthermore, the theme offers seamless integration with social media platforms, allowing you to connect with your audience and expand your reach. With social media buttons and sharing functionality built right into your website, you can encourage visitors to share your content and engage with your brand on platforms like Facebook, Twitter, and Instagram.',
					'post_status'  => 'publish',
				'post_author'  => 1,
				'post_name'    => 'services' // Unique slug for the Services page
			);
			wp_insert_post($business_revolution_services);
		}


		// ------------------------------------------ Header -------------------------------------- //

			set_theme_mod('business_revolution_header_info_address','Orlando, FL 32830, united States');
			set_theme_mod('business_revolution_header_info_phone','+12345678901');
			set_theme_mod('business_revolution_header_info_email','abdcefxyz@example.com');
			set_theme_mod('business_revolution_header_button_text','Invest Now');
			set_theme_mod('business_revolution_header_button_link','#');
			set_theme_mod('business_revolution_header_info',1);
			set_theme_mod('business_revolution_enable_slider',1);
			set_theme_mod('business_revolution_enable_event',1);

		// ------------------------------------------ Slider Section -------------------------------------- //

			for($i=1;$i<=3;$i++){
				set_theme_mod( 'business_revolution_slider_image'.$i,get_template_directory_uri().'/revolution/assets/images/slider'.$i.'.png' );
				set_theme_mod( 'business_revolution_slider_heading'.$i, 'WHERE GOOD INTENTIONS MEET SMART BUSINESS SOLUTIONS' );
				set_theme_mod( 'business_revolution_slider_text'.$i, 'lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.maecenas eget leo suscipit.maecenas eget leo suscipit' );
				set_theme_mod( 'business_revolution_slider_button1_text'.$i, 'Invest Now' );
				set_theme_mod( 'business_revolution_slider_button1_link'.$i, '#' );
				set_theme_mod( 'business_revolution_slider_button2_text'.$i, 'Raise Refund' );
				set_theme_mod( 'business_revolution_slider_button2_link'.$i, '#' );
			}

		// ------------------------------------------ Chef Section -------------------------------------- //

			set_theme_mod('business_revolution_event_heading','UPCOMING EVENTS');
			set_theme_mod('business_revolution_event_text','Lorem ipsum is simply dummy text of the printing and typesetting industry, lorem ipsum has been the industry standard dummy text ever since the 1500s, when an unknown printer.');

			$event_title = array(
				'CORPORATE CONNECT CONFERENCE',
				'INDUSTRY INSIGHTS CONVENTION',
				'GLOBAL LEADERSHIP SUMMIT',
				'BUSINESS STRATEGY WORKSHOP'
			);
			
			$event_date = array(
				'29 Aug 2018',
				'15 Sep 2018',
				'02 Oct 2018',
				'18 Oct 2018'
			);
			
			$event_time = array(
				'5:00 PM',
				'10:00 AM',
				'2:30 PM',
				'9:00 AM'
			);
			
			$event_location = array(
				'Bangkok, Thailand',
				'Singapore Expo Hall',
				'Dubai International Center',
				'New York City, USA'
			);
			
			for ($i = 1; $i <= 4; $i++) {
				set_theme_mod('business_revolution_category_image' . $i, get_template_directory_uri() . '/revolution/assets/images/events' . $i . '.png');
				set_theme_mod('business_revolution_category_heading' . $i, $event_title[$i - 1]);
				set_theme_mod('business_revolution_category_text' . $i, 'Proin augue dui, sodales vel porttitor eu, mollis vel ligula. Sed eu tellus ipsum. Donec rutrum gravida lectus. Proin cursus maximus ante. Sed sodales ullamcorper');
				set_theme_mod('business_revolution_category_date_text' . $i, $event_date[$i - 1]);
				set_theme_mod('business_revolution_category_time' . $i, $event_time[$i - 1]);
				set_theme_mod('business_revolution_category_location_text' . $i, $event_location[$i - 1]);
				set_theme_mod('business_revolution_category_button1_text' . $i, 'Enroll Now');
				set_theme_mod('business_revolution_category_button1_link' . $i, '#');
			}			

			set_theme_mod('business_revolution_category_main_button_text','View All Events');
			set_theme_mod('business_revolution_category_main_button_link','#');

  	 	$this->business_revolution_customizer_nav_menu();
  	 	$this->business_revolution_social_menu();
	}

	public function business_revolution_guide() {
		$display_string = '';
		$return = add_query_arg( array()) ;
		$theme = wp_get_theme( 'business-revolution' );
		?>
		<div class="wrapper-info get-stared-page-wrap">
			<div class="wrapper-info-content">
				<div class="buynow__">
					<h2><?php esc_html_e( 'Welcome to Business Revolution', 'business-revolution' ); ?> <span class="version">Version: <?php echo esc_html($theme['Version']);?></span></h2>
					<p><?php esc_html_e('The quick setup wizard will assist you in configuring your new website. This wizard will import the demo content.', 'business-revolution'); ?></p>
				</div>
				<div class="buynow_">
					<a target="_blank" class="buynow_themepage" href="<?php echo esc_url('https://www.revolutionwp.com/products/business-wordpress-theme'); ?>"><?php echo esc_html__('Go Premium Now', 'business-revolution'); ?></a>
				</div>
			</div>
			<div class="tab-sec theme-option-tab">
				<div id="demo_offer" class="tabcontent open">
					<?php $this->wizard_page(); ?>
				</div>
			</div>
		</div>
	<?php }
}